Generation Framework

## org.eclipse.gmf.tooldef
Class StandardToolKind

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.gmf.tooldef.StandardToolKind

All Implemented Interfaces:
  Enumerator

public final class StandardToolKind
extends AbstractEnumerator

A representation of the literals of the enumeration 'Standard Tool Kind', and utility methods for working with them.

See Also:
  `GMFToolPackage.getStandardToolKind()`
** Generated **
Model:

Field Summary
`static int` `MARQUEE` The 'MARQUEE' literal value
`static StandardToolKind` `MARQUEE_LITERAL` The 'MARQUEE' literal object
`static int` `SELECT` The 'SELECT' literal value
`static StandardToolKind` `SELECT_LITERAL` The 'SELECT' literal object
`static int` `SELECT_PAN` The 'SELECT PAN' literal value
`static StandardToolKind` `SELECT_PAN_LITERAL` The 'SELECT PAN' literal object
`static java.util.List` `VALUES` A public read-only list of all the 'Standard Tool Kind' enumerators
`static int` `ZOOM_IN` The 'ZOOM IN' literal value
`static StandardToolKind` `ZOOM_IN_LITERAL` The 'ZOOM IN' literal object
`static int` `ZOOM_OUT` The 'ZOOM OUT' literal value
`static StandardToolKind` `ZOOM_OUT_LITERAL` The 'ZOOM OUT' literal object
`static int` `ZOOM_PAN` The 'ZOOM PAN' literal value
`static StandardToolKind` `ZOOM_PAN_LITERAL` The 'ZOOM PAN' literal object

Method Summary
`static StandardToolKind` `get(int value)` Returns the 'Standard Tool Kind' literal with the specified integer value
`static StandardToolKind` `get(java.lang.String literal)` Returns the 'Standard Tool Kind' literal with the specified literal value
`static StandardToolKind` `getByName(java.lang.String name)` Returns the 'Standard Tool Kind' literal with the specified name

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SELECT

    public static final int SELECT

  The 'SELECT' literal value.

  If the meaning of 'SELECT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `StandardToolKind.SELECT_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### SELECT_PAN

    public static final int SELECT_PAN

  The 'SELECT PAN' literal value.

  If the meaning of 'SELECT PAN' literal object isn't clear, there really should be more of a description here...

  See Also:
    `StandardToolKind.SELECT_PAN_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### MARQUEE

    public static final int MARQUEE

  The 'MARQUEE' literal value.

  If the meaning of 'MARQUEE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `StandardToolKind.MARQUEE_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### ZOOM_PAN

    public static final int ZOOM_PAN

  The 'ZOOM PAN' literal value.

  If the meaning of 'ZOOM PAN' literal object isn't clear, there really should be more of a description here...

  See Also:
    `StandardToolKind.ZOOM_PAN_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### ZOOM_IN

    public static final int ZOOM_IN

  The 'ZOOM IN' literal value.

  If the meaning of 'ZOOM IN' literal object isn't clear, there really should be more of a description here...

  See Also:
    `StandardToolKind.ZOOM_IN_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### ZOOM_OUT

    public static final int ZOOM_OUT

  The 'ZOOM OUT' literal value.

  If the meaning of 'ZOOM OUT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `StandardToolKind.ZOOM_OUT_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### SELECT_LITERAL

    public static final StandardToolKind SELECT_LITERAL

  The 'SELECT' literal object.

  See Also:
    `StandardToolKind.SELECT`
  ** Generated **
  Ordered:

### SELECT_PAN_LITERAL

    public static final StandardToolKind SELECT_PAN_LITERAL

  The 'SELECT PAN' literal object.

  See Also:
    `StandardToolKind.SELECT_PAN`
  ** Generated **
  Ordered:

### MARQUEE_LITERAL

    public static final StandardToolKind MARQUEE_LITERAL

  The 'MARQUEE' literal object.

  See Also:
    `StandardToolKind.MARQUEE`
  ** Generated **
  Ordered:

### ZOOM_PAN_LITERAL

    public static final StandardToolKind ZOOM_PAN_LITERAL

  The 'ZOOM PAN' literal object.

  See Also:
    `StandardToolKind.ZOOM_PAN`
  ** Generated **
  Ordered:

### ZOOM_IN_LITERAL

    public static final StandardToolKind ZOOM_IN_LITERAL

  The 'ZOOM IN' literal object.

  See Also:
    `StandardToolKind.ZOOM_IN`
  ** Generated **
  Ordered:

### ZOOM_OUT_LITERAL

    public static final StandardToolKind ZOOM_OUT_LITERAL

  The 'ZOOM OUT' literal object.

  See Also:
    `StandardToolKind.ZOOM_OUT`
  ** Generated **
  Ordered:

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Standard Tool Kind' enumerators.

  ** Generated **

Method Detail

### get

    public static StandardToolKind get(java.lang.String literal)

  Returns the 'Standard Tool Kind' literal with the specified literal value.

  ** Generated **

### getByName

    public static StandardToolKind getByName(java.lang.String name)

  Returns the 'Standard Tool Kind' literal with the specified name.

  ** Generated **

### get

    public static StandardToolKind get(int value)

  Returns the 'Standard Tool Kind' literal with the specified integer value.

  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.